---
updatedAt: 2025-09-09T21:11:57.000Z
agentTools:
  projectIndex: https://developer.paylink.sa/llms.txt
---

# Get Transactions of OrderNumber

Allows developers to retrieve a list of orders based on the order number of the merchant provided as input. This endpoint can be integrated into an e-commerce platform to enable merchants to view all orders settled under a particular settlement number. The response from this endpoint will contain information about each order, such as the order number, customer details, shipping information, and order total.

## Endpoint

```http
GET /api/getTransactionsOfOrderNumber/{orderNumber}
```

## Request Headers

| Header        | Required | Description                                                                                          |
| :------------ | :------- | :--------------------------------------------------------------------------------------------------- |
| Authorization | Yes      | Bearer token provided by [Authentication Endpoint](https://developer.paylink.sa/docs/authentication) |
| Accept        | Yes      | It must be set to **application/JSON**.                                                              |
| Content-Type  | Yes      | It must be set to **application/JSON**.                                                              |

```json JSON
{
  "Authorization": "Bearer [id_token]",
  "Accept": "application/json",
  "Content-Type": "application/json"
}
```

## URL Parameters

| Parameter   | Value Type | Required | Description                                        |
| :---------- | :--------- | :------- | :------------------------------------------------- |
| orderNumber | String     | Yes      | The order number is in the system of the merchant. |

## Response Body:

The response will be an array of JSON objects that includes all relevant information for the orders retrieved within the specified date range. For more details, click [here](https://paylinksa.readme.io/reference/gettransactionsofordernumberusingget).

| Name             | Type    | Description                                                              |
| :--------------- | :------ | :----------------------------------------------------------------------- |
| orderId          | integer | The unique identifier of the order                                       |
| orderNumber      | string  | The unique order number                                                  |
| transactionNo    | String  | Refers to a unique identifier assigned to an order in Paylink system.    |
| orderDate        | date    | Refers to the date a customer placed an order in an e-commerce platform. |
| orderAmount      | float   | Refers to the total amount charged for an order.                         |
| orderStatus      | String  | Refers to the payment status for an order                                |
| paylinkFees      | float   | The fees charged by Paylink, if applicable                               |
| paylinkVat       | float   | The VAT charged by Paylink, if applicable                                |
| note             | string  | A note associated with the order                                         |
| clientName       | string  | The name of the client who placed the order                              |
| clientMobile     | string  | The phone number of the client who placed the order                      |
| isReconciled     | boolean | Indicates whether the order has been reconciled                          |
| settlementNumber | string  | The settlement number, if applicable                                     |
| settlementBank   | string  | The bank account number for the settlement, if applicable                |
| settlementAmount | float   | The amount settled, if applicable                                        |
| settlementIban   | string  | The IBAN for the settlement, if applicable                               |

## Error Respoinse

* Status code: 401 Unauthorized
* Status code 404: Not found.